import pytest

import fin_depo

from . import secrets

needs_secrets = pytest.mark.skipif(
    not secrets.KRAKEN_KEY,
    reason='Secret kraken_USERNAME required',
)


@needs_secrets
def test_get_depo():
    fetcher = fin_depo.defi_kraken.KrakenDepoFetcher(
        secrets.KRAKEN_KEY,
        secrets.KRAKEN_SECRET,
    )

    depo = fetcher.get_depo()
    assert isinstance(depo, fin_depo.data.DepoSingle)
